# Serialized Form

## Package org.apache.felix.resolver.reason

### Class org.apache.felix.resolver.reason.ReasonException extends ResolutionException implements Serializable

serialVersionUID:
  -5276675175114379539L

### Serialized Fields

#### reason

    ReasonException.Reason reason

## Package org.apache.felix.resolver.util

### Class org.apache.felix.resolver.util.OpenHashMap extends Object implements Serializable

serialVersionUID:
  0L

### Serialization Methods

#### readObject

    private void readObject(ObjectInputStream s)
                     throws IOException,
                            ClassNotFoundException

Throws:
  `IOException`
  `ClassNotFoundException`

#### writeObject

    private void writeObject(ObjectOutputStream s)
                      throws IOException

Throws:
  `IOException`

### Serialized Fields

#### size

    int size

#### f

    float f

#### defRetValue

    Object defRetValue

### Class org.apache.felix.resolver.util.OpenHashMapList extends OpenHashMap<org.osgi.resource.Requirement,CandidateSelector> implements Serializable

serialVersionUID:
  0L

### Class org.apache.felix.resolver.util.OpenHashMapSet extends OpenHashMap<K,CopyOnWriteSet<V>> implements Serializable

serialVersionUID:
  1L

## Package org.osgi.service.resolver

### Class org.osgi.service.resolver.ResolutionException extends Exception implements Serializable

serialVersionUID:
  1L